#my steam vr is broken for vive pro 2 and I dont know how to fix it it somewhat works but its broken

57 messages · Page 1 of 1 (latest)

mild pebble
#

I followed all the steps

#

and nothing is working properly

#

there was one warning when building it from rust

#

warning: unused imports: DRIVER_CONTEXT and self
--> bin/driver-proxy/src/driver/hmd.rs:8:19
|
8 | driver_context::{self, DRIVER_CONTEXT},
| ^^^^ ^^^^^^^^^^^^^^
|
= note: #[warn(unused_imports)] on by default

warning: unused imports: EPropertyWriteType, ETrackedPropertyError, PropertyWrite_t, and k_unFloatPropertyTag
--> bin/driver-proxy/src/driver/hmd.rs:15:2
|
15 | k_unFloatPropertyTag, EPropertyWriteType, ETrackedDeviceProperty, ETrackedPropertyErr...
| ^^^^^^^^^^^^^^^^^^^^ ^^^^^^^^^^^^^^^^^^ ^^^^^^^^^^^^^^^^^^^^^
16 | HmdVector2_t, IVRProperties, PropertyWrite_t,
| ^^^^^^^^^^^^^^^

warning: struct HmdCamera is never constructed
--> bin/driver-proxy/src/driver/camera.rs:11:8
|
11 | struct HmdCamera {
| ^^^^^^^^^
|
= note: #[warn(dead_code)] on by default

warning: driver-proxy (lib) generated 3 warnings (run cargo fix --lib -p driver-proxy to apply 2 suggestions)
Finished release profile [optimized] target(s) in 7.82s

#

the hmd lens server is broken

#

anI think I fixed the first part

#

I have had this running completly fine in the past

#

lemme fix that sorry it was a mkv instead of a mp4

mild pebble
#

I am fixing it for the next video

#

for me compiling it

mild pebble
#

#!/bin/sh

set -eu

SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")

Patreon release contains bundled sewer, use it here

PATH=$SCRIPTPATH/bin:$PATH

echo "SteamVR proxy driver for Vive Pro 2"
echo "Consider supporting developer on patreon: https://patreon.com/0lach"
sleep 3

STEAMVR="${STEAMVR:-$HOME/.local/share/Steam/steamapps/common/SteamVR}"
if ! test -d "$STEAMVR"; then
echo "SteamVR not found at $STEAMVR (Set $STEAMVR manually?)"
exit 1
fi
echo "SteamVR at $STEAMVR"

LIGHTHOUSE_DRIVER=$STEAMVR/drivers/lighthouse/bin/linux64

if ! test -f "$LIGHTHOUSE_DRIVER/driver_lighthouse.so"; then
echo "Lighthouse driver not found, broken installation?"
exit 1
fi

if ! test -f "$LIGHTHOUSE_DRIVER/driver_lighthouse_real.so"; then
echo "= Moving original driver"
cp "$LIGHTHOUSE_DRIVER/driver_lighthouse.so" "$LIGHTHOUSE_DRIVER/driver_lighthouse_real.so"
elif ! grep -s "https://patreon.com/0lach" "$LIGHTHOUSE_DRIVER/driver_lighthouse.so"; then
echo "Found both original driver, and old original driver, seems like SteamVR was updated"
echo "= Moving updated original driver"
cp "$LIGHTHOUSE_DRIVER/driver_lighthouse.so" "$LIGHTHOUSE_DRIVER/driver_lighthouse_real.so"
else
echo "= Proxy driver is already installed, updating"
fi

echo "= Patching real driver"
sewer -v --backup "$LIGHTHOUSE_DRIVER/driver_lighthouse_real.so.bak" "$LIGHTHOUSE_DRIVER/driver_lighthouse_real.so" patch-file --partial "$SCRIPTPATH/driver_lighthouse_real.sew" || true

echo "= Overriding current driver"
rsync -a "$SCRIPTPATH/driver_lighthouse.so" "$LIGHTHOUSE_DRIVER/driver_lighthouse.so"

echo "= Updating proxy server"
rsync -ar "$SCRIPTPATH/lens-server/" "$LIGHTHOUSE_DRIVER/lens-server"

echo "Installation finished, try to start SteamVR"

hasty nebulaBOT
#

kboshi
Compile Error! Click the errors reaction for more information.
(You may edit your message to recompile.)

mild pebble
#

so subbissions still welcome please help

#

my second video

#

sorry its dropboxed

#

I could not upload it without discord nitro

#

lol

tawny river
mild pebble
#

😆 🤣

mild pebble
#

okay ty I'm sorry I'm not doing rly well rn I'll see if I can help tomorrow

tulip plumeBOT
#

rinabel_la received a thank you cookie!

#

kbos1 received a thank you cookie!

mild pebble
#

@tawny river that was so funny lol

mild pebble
#

we really appreciate you sharing those videos

tawny river
tulip plumeBOT
# tawny river %nom

(Midori AI Dev) Luna Midori just ate one of their cookies! They have 53 left.

tawny river
tulip plumeBOT
#

rinabel_la received a thank you cookie!

mild pebble
tulip plumeBOT
#

(Midori AI Dev) Luna Midori received a thank you cookie!

mild pebble
mild pebble
#

yes I am still up

#

okay give me a bit

mild pebble
#

@mild pebble I'm sorry i got distacted

#

if u want to hop on voice I'm good

#

@mild pebble

#

I am back

#

sorry

#

sudo cp ./useful_files/81-vive.rules /etc/udev/rules.d/
sudo udevadm control --reload-rules && sudo udevadm trigger

mild pebble
#

I fucking figured it out

#

and I fucking hate it

#

I just fucking enabled proton and then just disabled it

#

and ti fucking fixed it